Range-v3 Range algorithms, views, and actions for the Standard Library |

Typedefs | Functions
swap_ranges.hpp File Reference

## Typedefs
template<typename I1 , typename I2 >
using | ranges::swap_ranges_result = detail::in1_in2_result< I1, I2 >

## Functions
template<typename I1 , typename S1 , typename I2 >
swap_ranges_result< I1, I2 > | ranges::swap_ranges (I1 begin1, S1 end1, I2 begin2)
| function template `swap_ranges` More...
template<typename I1 , typename S1 , typename I2 , typename S2 >
swap_ranges_result< I1, I2 > | ranges::swap_ranges (I1 begin1, S1 end1, I2 begin2, S2 end2)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename Rng1 , typename I2_ >
swap_ranges_result< iterator_t< Rng1 >, uncvref_t< I2_ > > | ranges::swap_ranges (Rng1 &&rng1, I2_ &&begin2)
template<typename Rng1 , typename Rng2 >
swap_ranges_result< borrowed_iterator_t< Rng1 >, borrowed_iterator_t< Rng2 > > | ranges::swap_ranges (Rng1 &&rng1, Rng2 &&rng2)